package com.usky.rule.vo.trigger;

public class CronTrigger {
    private String cron;

    public String getCron() {
        return this.cron;
    }

    public void setCron(final String cron) {
        this.cron = cron;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof CronTrigger)) {
            return false;
        } else {
            CronTrigger other = (CronTrigger)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$cron = this.getCron();
                Object other$cron = other.getCron();
                if (this$cron == null) {
                    if (other$cron != null) {
                        return false;
                    }
                } else if (!this$cron.equals(other$cron)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof CronTrigger;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $cron = this.getCron();
        result = result * 59 + ($cron == null ? 43 : $cron.hashCode());
        return result;
    }

    public String toString() {
        return "CronTrigger(cron=" + this.getCron() + ")";
    }

    public CronTrigger() {
    }

    public CronTrigger(final String cron) {
        this.cron = cron;
    }
}
